- REST Resource: v1.projects.locations.cdnKeys
- REST Resource: v1.projects.locations.liveConfigs
- REST Resource: v1.projects.locations.liveSessions
- REST Resource: v1.projects.locations.liveSessions.liveAdMetadata
- REST Resource: v1.projects.locations.liveSessions.liveAdTagDetails
- REST Resource: v1.projects.locations.operations
- REST Resource: v1.projects.locations.slates
- REST Resource: v1.projects.locations.vodConfigs
- REST Resource: v1.projects.locations.vodSessions
- REST Resource: v1.projects.locations.vodSessions.vodAdTagDetails
- REST Resource: v1.projects.locations.vodSessions.vodStitchDetails
Service: videostitcher.googleapis.com
To call this service, we recommend that you use the Google-provided client libraries. If your application needs to use your own libraries to call this service, use the following information when you make the API requests.
Discovery document
A Discovery Document is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:
Service endpoint
A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:
https://videostitcher.googleapis.com
REST Resource: v1.projects.locations.cdnKeys
| Methods | |
|---|---|
create |
POST /v1/{parent=projects/*/locations/*}/cdnKeys Creates a new CDN key. |
delete |
DELETE /v1/{name=projects/*/locations/*/cdnKeys/*} Deletes the specified CDN key. |
get |
GET /v1/{name=projects/*/locations/*/cdnKeys/*} Returns the specified CDN key. |
list |
GET /v1/{parent=projects/*/locations/*}/cdnKeys Lists all CDN keys in the specified project and location. |
patch |
PATCH /v1/{cdnKey.name=projects/*/locations/*/cdnKeys/*} Updates the specified CDN key. |
REST Resource: v1.projects.locations.liveConfigs
| Methods | |
|---|---|
create |
POST /v1/{parent=projects/*/locations/*}/liveConfigs Registers the live config with the provided unique ID in the specified region. |
delete |
DELETE /v1/{name=projects/*/locations/*/liveConfigs/*} Deletes the specified live config. |
get |
GET /v1/{name=projects/*/locations/*/liveConfigs/*} Returns the specified live config managed by the Video Stitcher service. |
list |
GET /v1/{parent=projects/*/locations/*}/liveConfigs Lists all live configs managed by the Video Stitcher that belong to the specified project and region. |
patch |
PATCH /v1/{liveConfig.name=projects/*/locations/*/liveConfigs/*} Updates the specified LiveConfig. |
REST Resource: v1.projects.locations.liveSessions
| Methods | |
|---|---|
create |
POST /v1/{parent=projects/*/locations/*}/liveSessions Creates a new live session. |
get |
GET /v1/{name=projects/*/locations/*/liveSessions/*} Returns the details for the specified live session. |
REST Resource: v1.projects.locations.liveSessions.liveAdMetadata
| Methods | |
|---|---|
get |
GET /v1/{name=projects/*/locations/*/liveSessions/*/liveAdMetadata/*} Returns the specified ad metadata for the specified live session. |
REST Resource: v1.projects.locations.liveSessions.liveAdTagDetails
| Methods | |
|---|---|
get |
GET /v1/{name=projects/*/locations/*/liveSessions/*/liveAdTagDetails/*} Returns the specified ad tag detail for the specified live session. |
list |
GET /v1/{parent=projects/*/locations/*/liveSessions/*}/liveAdTagDetails Return the list of ad tag details for the specified live session. |
REST Resource: v1.projects.locations.operations
| Methods | |
|---|---|
cancel |
POST /v1/{name=projects/*/locations/*/operations/*}:cancel Starts asynchronous cancellation on a long-running operation. |
delete |
|